Bug 268402 - Find Usages: mark differently read, write and read/write access to variable
Find Usages: mark differently read, write and read/write access to variable
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Navigation
Dev
PC Solaris
: P2 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-07 09:36 UTC by Alexander Simon
Modified: 2016-12-08 10:07 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
proposed patch (24.34 KB, patch)
2016-10-07 10:03 UTC, Alexander Simon
Details | Diff
proposed patch (28.77 KB, patch)
2016-10-07 12:19 UTC, Alexander Simon
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2016-10-07 09:36:23 UTC
Java FU has such feature.
At first iteration, please implement simplified algorithm of RW access based only on lexer token stream (i.e. without semantic analyzing).
Comment 1 Alexander Simon 2016-10-07 10:03:36 UTC
Created attachment 162388 [details]
proposed patch
Comment 2 Alexander Simon 2016-10-07 10:04:11 UTC
Vladimir V, please review a patch.
Comment 3 Alexander Simon 2016-10-07 12:19:54 UTC
Created attachment 162393 [details]
proposed patch
Comment 4 Alexander Simon 2016-10-07 13:29:45 UTC
fixed in enum, branch release82, change set: 79216a5e0631
Comment 5 Quality Engineering 2016-10-20 01:58:20 UTC
Integrated into 'main-silver', will be available in build *201610200002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/33285458498d
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #268402 Find Usages: mark differently read, write and read/write access to variable
(transplanted from 79216a5e063136c6fe1c40693ba40dafca542f53)
Comment 6 soldatov 2016-12-08 10:07:17 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo